import os
import re

# Define the path to your project directory
project_dir = '/path/to/your/project'

# Define the search pattern
search_pattern = re.compile(r'(plt\.title\("Optimized Combined Strategy"\)|ax\.set_title\("Optimized Combined Strategy"\))', re.DOTALL)

# Function to search for the pattern in a file and remove it if found
def search_and_remove_pattern(file_path, pattern):
    with open(file_path, 'r', encoding='utf-8') as file:
        content = file.read()
    
    if pattern.search(content):
        # If pattern is found, remove the matched part
        new_content = pattern.sub('', content)
        with open(file_path, 'w', encoding='utf-8') as file:
            file.write(new_content)
        return True  # Found and removed the pattern
    return False  # Pattern not found

# List to store files that match the pattern
matching_files = []

# Search for the pattern in all files
for root, dirs, files in os.walk(project_dir):
    for file in files:
        file_path = os.path.join(root, file)
        if search_and_remove_pattern(file_path, search_pattern):
            matching_files.append(file_path)

# Print the files that contained the pattern
print("Files containing the pattern:")
for file in matching_files:
    print(file)
