
import logging
import os
import sys

# Set the working directory to the location of the script
script_dir = os.path.dirname(os.path.abspath(__file__))
os.chdir(script_dir)

# Add the script directory to the Python path
sys.path.insert(0, script_dir)

from app import get_access_token

# Configure logging
logging.basicConfig(level=logging.INFO)
logger = logging.getLogger(__name__)

def test_get_access_token():
    try:
        token = get_access_token()
        logger.info(f"Access token obtained: {token}")
    except Exception as e:
        logger.error(f"Error obtaining access token: {e}")

if __name__ == "__main__":
    test_get_access_token()
